iota.hpp File Reference

## Classes

struct | boost::range_const_iterator< ::ranges::v3::closed_iota_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::closed_iota_view< Ts... > const >()> >
struct | boost::range_const_iterator< ::ranges::v3::iota_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::iota_view< Ts... > const >()> >
struct | boost::range_mutable_iterator< ::ranges::v3::closed_iota_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::closed_iota_view< Ts... > >()> >
struct | boost::range_mutable_iterator< ::ranges::v3::iota_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::iota_view< Ts... > >()> >
struct | boost::range_size< ::ranges::v3::closed_iota_view< Ts... > >
struct | boost::range_size< ::ranges::v3::closed_iota_view< Ts... > const >
struct | boost::range_size< ::ranges::v3::iota_view< Ts... > >
struct | boost::range_size< ::ranges::v3::iota_view< Ts... > const >
struct | boost::range_value< ::ranges::v3::closed_iota_view< Ts... > >
struct | boost::range_value< ::ranges::v3::iota_view< Ts... > >
struct | ranges::v3::closed_iota_view< From, To >
| An iota view in a closed range with non-random access iota value type. More...
struct | ranges::v3::concepts::BidirectionalIncrementable
struct | ranges::v3::concepts::RandomAccessIncrementable
struct | ranges::v3::concepts::SizedIncrementableSentinel
struct | ranges::v3::iota_view< From, To >
struct | ranges::v3::iota_view< From, void >
struct | ranges::v3::view::closed_ints_fn
struct | ranges::v3::view::closed_iota_fn
struct | ranges::v3::view::ints_fn
struct | ranges::v3::view::iota_fn

## Typedefs

template<typename T >
using | ranges::v3::BidirectionalIncrementable = concepts::models< concepts::BidirectionalIncrementable, T >
template<typename T >
using | ranges::v3::incrementable_concept = concepts::most_refined< meta::list< concepts::RandomAccessIncrementable, concepts::BidirectionalIncrementable, concepts::Incrementable, concepts::WeaklyIncrementable >, T >
template<typename T >
using | ranges::v3::incrementable_concept_t = meta::_t< incrementable_concept< T > >
template<typename T >
using | ranges::v3::RandomAccessIncrementable = concepts::models< concepts::RandomAccessIncrementable, T >
template<typename T , typename U >
using | ranges::v3::SizedIncrementableSentinel = concepts::models< concepts::SizedIncrementableSentinel, T, U >

## Variables

constexpr closed_ints_fn | ranges::v3::view::closed_ints {}